manifestVersion: "0.0.1"
id: technitium-dns
category: networking
name: Technitium DNS Server
version: "14.2.0"
tagline: Блокируйте рекламу и вредоносное ПО на уровне DNS для всей вашей сети.
description: >-
  DNS-сервер Technitium — это авторитетный, а также рекурсивный DNS-сервер с открытым исходным кодом, который можно использовать для самостоятельного размещения DNS-сервера в целях конфиденциальности и безопасности.
  Он работает «из коробки» без каких-либо настроек или с минимальной настройкой.
releaseNotes: >-
  🚨 Этот основной выпуск обновляется до среды выполнения .NET 9 и включает важные исправления безопасности. Все узлы кластера необходимо обновлять вместе, чтобы обеспечить совместимость.
  
  
  Основные моменты этого выпуска:
    - Исправлена уязвимость отказа в обслуживании при реализации ограничения скорости с переработанными параметрами QPM.
    - Исправлена уязвимость отравления кэша из-за атак фрагментации IP.
    - Исправлена уязвимость понижения версии DNSSEC, которая могла обойти проверку.
    - Добавлена функция кластеризации для управления несколькими экземплярами DNS-сервера с единой консоли.
    - Добавлена поддержка двухфакторной аутентификации (2FA) с TOTP.
    - Добавлено приложение MISP Connector для блокировки вредоносных доменов из каналов MISP.
    - Обновлено приложение расширенной блокировки с настраиваемым сроком жизни для заблокированных ответов.
    - Улучшенное приложение Log Exporter с поддержкой ведения журналов EDNS.
    - Улучшена поддержка записей комментариев в URL-адресах разрешенных/блокированных списков.
    - Множество исправлений ошибок при анализе файлов зоны, проверке сеанса и загрузке конфигурации приложения.
  
  
  Полные примечания к выпуску можно найти по адресу https://github.com/TechnitiumSoftware/DnsServer/blob/master/CHANGELOG.md.
developer: Technitium
website: https://technitium.com/dns/
dependencies: []
repo: https://github.com/TechnitiumSoftware/DnsServer
support: https://github.com/TechnitiumSoftware/DnsServer/discussions
port: 5380
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
path: ""
defaultUsername: admin
deterministicPassword: true
submitter: "DFV24"
submission: "https://github.dfv24.com/fofanov.dmitry/DFWebOS-Apps/pulls"
